OpenShot Audio Library | OpenShotAudio: juce::universal_midi_packets::Packet< numWords > Class Template Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
juce::universal_midi_packets::Packet< numWords > Class Template Reference

`#include <juce_UMPacket.h>`

## Public Types
using | Contents = std::array<uint32_t, numWords>
using | const_iterator = typename Contents::const_iterator

## Public Member Functions
template<size_t w = numWords, std::enable_if_t< w==1, int > = 0>
| Packet (uint32_t a)
template<size_t w = numWords, std::enable_if_t< w==2, int > = 0>
| Packet (uint32_t a, uint32_t b)
template<size_t w = numWords, std::enable_if_t< w==3, int > = 0>
| Packet (uint32_t a, uint32_t b, uint32_t c)
template<size_t w = numWords, std::enable_if_t< w==4, int > = 0>
| Packet (uint32_t a, uint32_t b, uint32_t c, uint32_t d)
template<size_t w, std::enable_if_t< w==numWords, int > = 0>
| Packet (const std::array< uint32_t, w > &fullPacket)
Packet | withMessageType (uint8_t type) const noexcept
Packet | withGroup (uint8_t group) const noexcept
Packet | withStatus (uint8_t status) const noexcept
Packet | withChannel (uint8_t channel) const noexcept
uint8_t | getMessageType () const noexcept
uint8_t | getGroup () const noexcept
uint8_t | getStatus () const noexcept
uint8_t | getChannel () const noexcept
template<size_t index>
Packet | withU4 (uint8_t value) const noexcept
template<size_t index>
Packet | withU8 (uint8_t value) const noexcept
template<size_t index>
Packet | withU16 (uint16_t value) const noexcept
template<size_t index>
Packet | withU32 (uint32_t value) const noexcept
template<size_t index>
uint8_t | getU4 () const noexcept
template<size_t index>
uint8_t | getU8 () const noexcept
template<size_t index>
uint16_t | getU16 () const noexcept
template<size_t index>
uint32_t | getU32 () const noexcept
const_iterator | begin () const noexcept
const_iterator | cbegin () const noexcept
const_iterator | end () const noexcept
const_iterator | cend () const noexcept
const uint32_t * | data () const noexcept
const uint32_t & | front () const noexcept
const uint32_t & | back () const noexcept
const uint32_t & | operator[] (size_t index) const noexcept

## Detailed Description

template<size_t numWords>
class juce::universal_midi_packets::Packet< numWords >

Holds a single Universal MIDI Packet.

Definition at line 34 of file juce_UMPacket.h.

## Member Typedef Documentation

## ◆ const_iterator

template<size_t numWords>

using juce::universal_midi_packets::Packet< numWords >::const_iterator = typename Contents::const_iterator

Definition at line 164 of file juce_UMPacket.h.

## ◆ Contents

template<size_t numWords>

using juce::universal_midi_packets::Packet< numWords >::Contents = std::array<uint32_t, numWords>

Definition at line 162 of file juce_UMPacket.h.

## Constructor & Destructor Documentation

## ◆ Packet() [1/5]

template<size_t numWords>
template<size_t w = numWords, std::enable_if_t< w==1, int > = 0>

juce::universal_midi_packets::Packet< numWords >::Packet | ( | uint32_t | a | ) |
| inline

Definition at line 40 of file juce_UMPacket.h.

## ◆ Packet() [2/5]

template<size_t numWords>
template<size_t w = numWords, std::enable_if_t< w==2, int > = 0>

juce::universal_midi_packets::Packet< numWords >::Packet | ( | uint32_t | a,
|  | uint32_t | b )
| inline

Definition at line 47 of file juce_UMPacket.h.

## ◆ Packet() [3/5]

template<size_t numWords>
template<size_t w = numWords, std::enable_if_t< w==3, int > = 0>

juce::universal_midi_packets::Packet< numWords >::Packet | ( | uint32_t | a,
|  | uint32_t | b,
|  | uint32_t | c )
| inline

Definition at line 54 of file juce_UMPacket.h.

## ◆ Packet() [4/5]

template<size_t numWords>
template<size_t w = numWords, std::enable_if_t< w==4, int > = 0>

juce::universal_midi_packets::Packet< numWords >::Packet | ( | uint32_t | a,
|  | uint32_t | b,
|  | uint32_t | c,
|  | uint32_t | d )
| inline

Definition at line 61 of file juce_UMPacket.h.

## ◆ Packet() [5/5]

template<size_t numWords>
template<size_t w, std::enable_if_t< w==numWords, int > = 0>

juce::universal_midi_packets::Packet< numWords >::Packet | ( | const std::array< uint32_t, w > & | fullPacket | ) |
| inlineexplicit

Definition at line 68 of file juce_UMPacket.h.

## Member Function Documentation

## ◆ back()

template<size_t numWords>

const uint32_t & juce::universal_midi_packets::Packet< numWords >::back | ( |  | ) | const
| inlinenoexcept

Definition at line 175 of file juce_UMPacket.h.

## ◆ begin()

template<size_t numWords>

const_iterator juce::universal_midi_packets::Packet< numWords >::begin | ( |  | ) | const
| inlinenoexcept

Definition at line 166 of file juce_UMPacket.h.

## ◆ cbegin()

template<size_t numWords>

const_iterator juce::universal_midi_packets::Packet< numWords >::cbegin | ( |  | ) | const
| inlinenoexcept

Definition at line 167 of file juce_UMPacket.h.

## ◆ cend()

template<size_t numWords>

const_iterator juce::universal_midi_packets::Packet< numWords >::cend | ( |  | ) | const
| inlinenoexcept

Definition at line 170 of file juce_UMPacket.h.

## ◆ data()

template<size_t numWords>

const uint32_t * juce::universal_midi_packets::Packet< numWords >::data | ( |  | ) | const
| inlinenoexcept

Definition at line 172 of file juce_UMPacket.h.

## ◆ end()

template<size_t numWords>

const_iterator juce::universal_midi_packets::Packet< numWords >::end | ( |  | ) | const
| inlinenoexcept

Definition at line 169 of file juce_UMPacket.h.

## ◆ front()

template<size_t numWords>

const uint32_t & juce::universal_midi_packets::Packet< numWords >::front | ( |  | ) | const
| inlinenoexcept

Definition at line 174 of file juce_UMPacket.h.

## ◆ getChannel()

template<size_t numWords>

uint8_t juce::universal_midi_packets::Packet< numWords >::getChannel | ( |  | ) | const
| inlinenoexcept

Definition at line 100 of file juce_UMPacket.h.

## ◆ getGroup()

template<size_t numWords>

uint8_t juce::universal_midi_packets::Packet< numWords >::getGroup | ( |  | ) | const
| inlinenoexcept

Definition at line 96 of file juce_UMPacket.h.

## ◆ getMessageType()

template<size_t numWords>

uint8_t juce::universal_midi_packets::Packet< numWords >::getMessageType | ( |  | ) | const
| inlinenoexcept

Definition at line 94 of file juce_UMPacket.h.

## ◆ getStatus()

template<size_t numWords>

uint8_t juce::universal_midi_packets::Packet< numWords >::getStatus | ( |  | ) | const
| inlinenoexcept

Definition at line 98 of file juce_UMPacket.h.

## ◆ getU16()

template<size_t numWords>
template<size_t index>

uint16_t juce::universal_midi_packets::Packet< numWords >::getU16 | ( |  | ) | const
| inlinenoexcept

Definition at line 150 of file juce_UMPacket.h.

## ◆ getU32()

template<size_t numWords>
template<size_t index>

uint32_t juce::universal_midi_packets::Packet< numWords >::getU32 | ( |  | ) | const
| inlinenoexcept

Definition at line 156 of file juce_UMPacket.h.

## ◆ getU4()

template<size_t numWords>
template<size_t index>

uint8_t juce::universal_midi_packets::Packet< numWords >::getU4 | ( |  | ) | const
| inlinenoexcept

Definition at line 138 of file juce_UMPacket.h.

## ◆ getU8()

template<size_t numWords>
template<size_t index>

uint8_t juce::universal_midi_packets::Packet< numWords >::getU8 | ( |  | ) | const
| inlinenoexcept

Definition at line 144 of file juce_UMPacket.h.

## ◆ operator[]()

template<size_t numWords>

const uint32_t & juce::universal_midi_packets::Packet< numWords >::operator[] | ( | size_t | index | ) | const
| inlinenoexcept

Definition at line 177 of file juce_UMPacket.h.

## ◆ withChannel()

template<size_t numWords>

Packet juce::universal_midi_packets::Packet< numWords >::withChannel | ( | uint8_t | channel | ) | const
| inlinenoexcept

Definition at line 89 of file juce_UMPacket.h.

## ◆ withGroup()

template<size_t numWords>

Packet juce::universal_midi_packets::Packet< numWords >::withGroup | ( | uint8_t | group | ) | const
| inlinenoexcept

Definition at line 79 of file juce_UMPacket.h.

## ◆ withMessageType()

template<size_t numWords>

Packet juce::universal_midi_packets::Packet< numWords >::withMessageType | ( | uint8_t | type | ) | const
| inlinenoexcept

Definition at line 74 of file juce_UMPacket.h.

## ◆ withStatus()

template<size_t numWords>

Packet juce::universal_midi_packets::Packet< numWords >::withStatus | ( | uint8_t | status | ) | const
| inlinenoexcept

Definition at line 84 of file juce_UMPacket.h.

## ◆ withU16()

template<size_t numWords>
template<size_t index>

Packet juce::universal_midi_packets::Packet< numWords >::withU16 | ( | uint16_t | value | ) | const
| inlinenoexcept

Definition at line 121 of file juce_UMPacket.h.

## ◆ withU32()

template<size_t numWords>
template<size_t index>

Packet juce::universal_midi_packets::Packet< numWords >::withU32 | ( | uint32_t | value | ) | const
| inlinenoexcept

Definition at line 130 of file juce_UMPacket.h.

## ◆ withU4()

template<size_t numWords>
template<size_t index>

Packet juce::universal_midi_packets::Packet< numWords >::withU4 | ( | uint8_t | value | ) | const
| inlinenoexcept

Definition at line 103 of file juce_UMPacket.h.

## ◆ withU8()

template<size_t numWords>
template<size_t index>

Packet juce::universal_midi_packets::Packet< numWords >::withU8 | ( | uint8_t | value | ) | const
| inlinenoexcept

Definition at line 112 of file juce_UMPacket.h.

The documentation for this class was generated from the following file:

- juce_UMPacket.h